# CEGUI::ImageryComponent Class Reference

Class that encapsulates information for a single image component. More...

Inheritance diagram for CEGUI::ImageryComponent:

[legend]
Collaboration diagram for CEGUI::ImageryComponent:

[legend]
List of all members.

## Public Member Functions

| ImageryComponent ()
| Constructor.
const Image * | getImage () const
| Return the Image object that will be drawn by this ImageryComponent.
void | setImage (const Image *image)
| Set the Image that will be drawn by this ImageryComponent.
void | setImage (const String &imageset, const String &image)
| Set the Image that will be drawn by this ImageryComponent.
VerticalFormatting | getVerticalFormatting () const
| Return the current vertical formatting setting for this ImageryComponent.
void | setVerticalFormatting (VerticalFormatting fmt)
| Set the vertical formatting setting for this ImageryComponent.
HorizontalFormatting | getHorizontalFormatting () const
| Return the current horizontal formatting setting for this ImageryComponent.
void | setHorizontalFormatting (HorizontalFormatting fmt)
| Set the horizontal formatting setting for this ImageryComponent.
void | writeXMLToStream (OutStream &out_stream) const
| Writes an xml representation of this ImageryComponent to out_stream.
bool | isImageFetchedFromProperty () const
| Return whether this ImageryComponent fetches it's image via a property on the target window.
const String & | getImagePropertySource () const
| Return the name of the property that will be used to determine the image for this ImageryComponent.
void | setImagePropertySource (const String &property)
| Set the name of the property that will be used to determine the image for this ImageryComponent.

## Protected Member Functions

void | render_impl (Window &srcWindow, Rect &destRect, float base_z, const CEGUI::ColourRect *modColours, const Rect *clipper, bool clipToDisplay) const
| Method to do main render caching work.

## Protected Attributes

const Image * | d_image
| CEGUI::Image to be drawn by this image component.
VerticalFormatting | d_vertFormatting
| Vertical formatting to be applied when rendering the image component.
HorizontalFormatting | d_horzFormatting
| Horizontal formatting to be applied when rendering the image component.
String | d_imagePropertyName
| Name of the property to access to obtain the image to be used.

## Detailed Description

Class that encapsulates information for a single image component.

## Member Function Documentation

HorizontalFormatting CEGUI::ImageryComponent::getHorizontalFormatting | ( |  | ) | const

Return the current horizontal formatting setting for this ImageryComponent.

Returns:
  One of the HorizontalFormatting enumerated values.

const Image * CEGUI::ImageryComponent::getImage | ( |  | ) | const

Return the Image object that will be drawn by this ImageryComponent.

Returns:
  Image object.

const String & CEGUI::ImageryComponent::getImagePropertySource | ( |  | ) | const

Return the name of the property that will be used to determine the image for this ImageryComponent.

Returns:
  String object holding the name of a Propery.

VerticalFormatting CEGUI::ImageryComponent::getVerticalFormatting | ( |  | ) | const

Return the current vertical formatting setting for this ImageryComponent.

Returns:
  One of the VerticalFormatting enumerated values.

bool CEGUI::ImageryComponent::isImageFetchedFromProperty | ( |  | ) | const

Return whether this ImageryComponent fetches it's image via a property on the target window.

Returns:
  - true if the image comes via a Propery.
  - false if the image is defined explicitly.

void CEGUI::ImageryComponent::setHorizontalFormatting | ( | HorizontalFormatting | fmt | ) |

Set the horizontal formatting setting for this ImageryComponent.

Parameters:

  | fmt | One of the HorizontalFormatting enumerated values.

Returns:
  Nothing.

void CEGUI::ImageryComponent::setImage | ( | const String & | imageset,
|  | const String & | image
| ) |

Set the Image that will be drawn by this ImageryComponent.

Parameters:

  | imageset | String holding the name of the Imagset that contains the Image to be rendered.
  | image | String holding the name of the Image to be rendered.

Returns:
  Nothing.

void CEGUI::ImageryComponent::setImage | ( | const Image * | image | ) |

Set the Image that will be drawn by this ImageryComponent.

Parameters:

  | Pointer | to the Image object to be drawn by this ImageryComponent.

Returns:
  Nothing.

void CEGUI::ImageryComponent::setImagePropertySource | ( | const String & | property | ) |

Set the name of the property that will be used to determine the image for this ImageryComponent.

Parameters:

  | property | String object holding the name of a Propery. The property should access a imageset & image specification.

Returns:
  Nothing.

void CEGUI::ImageryComponent::setVerticalFormatting | ( | VerticalFormatting | fmt | ) |

Set the vertical formatting setting for this ImageryComponent.

Parameters:

  | fmt | One of the VerticalFormatting enumerated values.

Returns:
  Nothing.

void CEGUI::ImageryComponent::writeXMLToStream | ( | OutStream & | out_stream | ) | const

Writes an xml representation of this ImageryComponent to out_stream.

Parameters:

  | out_stream | Stream where xml data should be output.

Returns:
  Nothing.